DFEEDINFO(8)

NAME
dfeedinfo - Display and manipulate the realtime feed statistics

SYNOPSIS
dfeedinfo [ -a ] [ -f filename ] [ -I ] [ -i ] [ -o ] [ -P[ext] ] [ -r ] [ -S ] [ -s ] [ -t ] [ -z ] hostname

DESCRIPTION
dfeedinfo allows one to manipulate the realtime feed statistics if enabled with the ``feederrtstats'' option in diablo.config. The stats are updated in realtime by the diablo and dnewslink processes and mmaped from a file so that they are persistant across restarts/reboots. dfeedinfo allows one to view, clear and snapshot the stats. Stats are kept for each hostname or label (depending on ``feederrtstats'' option).

-a View incoming summary, outgoing and spool stats.

-f filename Manipulate stats from the specified file (path_db relative).

-I Display detailed incoming feed stats. This includes rejected and refused reason counts.

-i Display a summary of incoming feed stats.

-o Display outgoing feed stats.

-P[ext] Create a snapshot file of the current feed statistics. The default extension for the snapshot file is ``.yyyymmdd-hhmmss''. This can be overidden by specifying the extension to use. Existing files will be overwritten.

-r Show raw byte values (i.e: don't pretty-print the bytes values).

-S Dump detailed spool statistics. This includes stats on expired and missing articles.

-s Dump spool statistics. These are articles retrieved from the spool server.

-t Only display the totals for any stats requested.

-z Clear (zero) the statistics specified. This option has no effect unless used with one or more of the display type options (-a, -i, -o, -s). It can also be used with the snapshot option, although there is a small window between when the snapshot is made and the stats are cleared.

The default filename used to store the statistics is ``path_db/feedstats'' and is created when the first incoming or outgoing connection is made. The file can be safely deleted if necessary - it will be recreated the next time a connection is made, although any existing live connections will not detect the new file and their stats will be lost.

SEE ALSO
diablo(8), dicmd(8), didump(8), diload(8), dnewslink(8), doutq(8), dexpire(8), dexpireover(8), diconvhist(8), dilookup(8), dspoolout(8), dkp(8), dpath(8), diablo-kp(5), diablo-files(5)